﻿* Encoding: UTF-8.
* change coding of gender to 0/1 (0=m, 1=f) .

COMPUTE genderf = GENDER-1 .
EXECUTE .

* mixed model withtout clustering effect .  
MIXED
  math  WITH year genderf schooltype
  /FIXED = year genderf schooltype genderf*year
  /PRINT = SOLUTION 
  /RANDOM INTERCEPT year  | SUBJECT(childid) COVTYPE(UN) .
  
* mixed model with clustering effect of first school .  
MIXED
  math  WITH year genderf schooltype
  /FIXED = year genderf schooltype genderf*year
  /PRINT = SOLUTION 
  /RANDOM INTERCEPT year  | SUBJECT(childid) COVTYPE(UN) 
  /RANDOM INTERCEPT | SUBJECT(schoolidhlm).  
  
* mixed model with time-varying clustering effect of school - Acute-Effects CCREM .  
MIXED
  math  WITH year genderf schooltype
  /FIXED = year genderf schooltype genderf*year
  /PRINT = SOLUTION 
  /RANDOM INTERCEPT year  | SUBJECT(childid) COVTYPE(UN) 
  /RANDOM INTERCEPT | SUBJECT(schoolidccrem).    

* Dynamic cluster effects model - UN.  
MIXED
  math  BY year2 WITH year genderf schooltype
  /FIXED = year genderf schooltype genderf*year
  /PRINT = SOLUTION 
  /RANDOM INTERCEPT year  | SUBJECT(childid) COVTYPE(UN) 
  /RANDOM year2 | SUBJECT(schoolidccrem)  COVTYPE(UN).    

