log using u:\Stata_Examples\nursedat2.log, replace
import excel "u:\Stata_Examples\nursedat2.xlsx", sheet("Sheet1") firstrow
summarize
forvalues j = 1/25 { 
          generate p`j'Xh`j' = p`j'*h`j' 
		  }
egen happiness = rsum(p1Xh1-p25Xh25)
mixed satis  || _all: p1-p25, nocons covariance(identity) reml
mixed satis assess || _all: p1-p25, nocons covariance(identity) reml
mixed satis assess happiness || _all: p1-p25, nocons covariance(identity) reml
log close