log using U:\Data\Cafri\Example1_mixed, replace
import delimited "U:\Data\Cafri\data3.csv"


/* change coding of gender to 0/1 (0=m, 1=f) */
generate genderf = gender-1 
summarize

/* mixed model without clustering effect */
mixed math year genderf schooltype c.genderf#c.year || childid: year, covariance(un) reml

/* mixed model with clustering effect of first school */
mixed math year genderf schooltype c.genderf#c.year || schoolidhlm: || childid: year, covariance(un) reml

/* mixed model with clustering effect of time-varying school - Acute-Effects CCREM */
mixed math year genderf schooltype c.genderf#c.year || _all: R.schoolidccrem || childid: year, covariance(un) reml


log close
