OPTIONS nocenter nolabel formchar = "|----|+|---+=";
/* FIFE DATASET */
proc import datafile="U:\SAS_long\xwdata_9var.xlsx"
     out=xw
     dbms=xlsx
     replace;
     getnames=yes;
run;

PROC MEANS;
RUN;


/* Cross-classified multilevel (null) model */
PROC MIXED DATA=xw COVTEST;
CLASS pid sid;
MODEL attain = /S;
RANDOM pid sid; 
RUN;

/* Cross-classified multilevel (null) model with interaction */
PROC MIXED DATA=xw COVTEST;
CLASS pid sid;
MODEL attain = /S;
RANDOM pid sid pid*sid; 
RUN;
