PROC IMPORT OUT= nursedat2 DATAFILE= "U:\Data\Cafri\DataSets_Syntax_Examples\nursedat2.xlsx" 
            DBMS=xlsx;
            GETNAMES=YES;
RUN;

PROC MEANS DATA=nursedat2;
RUN;

DATA ndats;
SET nursedat2;
cons = 1;
ARRAY ps(25)  p1-p25;
ARRAY hs(25)  h1-h25;
     happiness = 0;
     DO i = 1 TO 25;
        happiness = happiness + ps(i)*hs(i);
     END;

PROC MEANS DATA=ndats;
RUN;


PROC MIXED  DATA=ndats COVTEST;
  CLASS cons;
  MODEL satis =  / SOLUTION;
  RANDOM p1-p25 / SUBJECT=cons TYPE=TOEPLITZ(1);
RUN;

PROC MIXED  DATA=ndats COVTEST;
  CLASS cons;
  MODEL satis = assess / SOLUTION;
  random p1-p25 / SUBJECT=cons TYPE=TOEPLITZ(1);
RUN;

PROC MIXED  DATA=ndats COVTEST;
  CLASS cons;
  MODEL satis = assess happiness / SOLUTION;
  RANDOM p1-p25 / SUBJECT=cons TYPE=TOEPLITZ(1);
RUN;


